<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="{{ MANIFEST.theme_color }}">
    <link rel="manifest" href="/static/manifest.webmanifest">
    <link rel="stylesheet" href="/static/css/lib/semantic.min.css">
    <link rel="stylesheet" href="/static/css/semantic.fullscreenDropdown.min.css">
    <link rel="stylesheet" href="/static/css/style.min.css">
    <link rel="icon" href="/static/img/rozvrhy.ico">
    <title>Rozvrhy</title>
  </head>
  <body>
    <header id="header">
      <div id="navigation">
          <select id="select-classes" class="ui dropdown search controls"
              name="class" autocomplete="off">
            <option value="">Vyberte třídu</option>
            {% for className in classes %}
            <option>{{ className }}</option>
            {% endfor %}
          </select>
          <select id="select-groups" class="ui dropdown controls" name="group"
              autocomplete="off">
            <option value="">Vyberte skupinu</option>
          </select>
          <select id="select-weeks" class="ui dropdown controls" name="week"
              autocomplete="off">
            <option value="">Vyberte týden</option>
          </select>
          <div id="loader" class="hide">
            <div>
              <div class="ui inverted active mini inline loader"></div>
              Načítání...
            </div>
          </div>
      </div>

      <div id="offlineWarn" class="ui warning message hide">
        Jste offline, rozrvhy nemusí být aktuální.
      </div>

      <div id="timer">
        <div id="timer-content"></div>
        <template id="timer-nextClass">
          Do začátku hodiny zbývá <strong><span></span></strong>.
        </template>
        <template id="timer-nextBreak">
          Do konce hodiny zbývá <strong><span></span></strong>.
        </template>
        <template id="timer-nextDay">
          Příští vyučování: <strong><span></span></strong>.
        </template>
      </div>
    </header>

    <div id="rozvrh"></div>

    <footer id="footer">
      <span style="display:none" id="offlineInfo" class="ui label green">
        <i class="check icon"></i>
        Na tomto zařízení jsou nyní rozvrhy dostupné i <strong>offline</strong>!
      </span>
      <span>
        Made by <a href="//zhincore.eu/" target="_blank">Adam Žingor</a>,
        design by <a href="//twitter.com/Sh00Tsw" target="_blank">MN</a>.
      </span>
      <span>
        <button class="ui labeled icon button" id="installButton"
        style="display:none">
          <i class="arrow right icon small"></i>
          <i class="mobile alternate icon large"></i>
          Přidat na plochu
        </button>
      </span>
    </footer>

    <script src="/static/js/lib/jquery-3.5.1.min.js"></script>
    <script src="/static/js/lib/semantic.min.js"></script>
    <script src="/static/js/semantic.fullscreenDropdown.js"></script>
    <script src="/static/js/API.js"></script>
    <script src="/static/js/main.js"></script>
    <script src="/static/js/deeplinks.js"></script>
  </body>
</html>
